%global meadalpha %{nil}
%global meadrel %{nil}
%global version_major 1
%global version_minor 0
%global version_micro 0
%global serial 17
%global commitid b83e18df3b548fd6404cef9250006a93e15059db



%{?scl:%scl_package openssl-chil}
%{!?scl:%global pkg_name %{name}}

# Define the directory where the OpenSSL engines are installed
%global enginesdir %{_libdir}/openssl/engines-1.1

Name:    %{?scl_prefix}openssl-chil
Summary: CHIL engine for use with OpenSSL
Version: 1.0.0
Release: %{serial}%{?dist}
# The source code is LGPLv2+ except eng_back.c and eng_parse.c which are BSD
License:        LGPLv2+ and BSD
URL:            https://github.com/engine-corner/engine-chil
Source:         openssl-chil-%{commitid}.tar.gz
BuildRequires:  autoconf autoconf-archive automake libtool
BuildRequires:  %{?scl_prefix}openssl-devel
BuildRequires:  %{?scl_prefix}openssl
BuildRequires:  pkgconfig, libtool-ltdl, libtool-ltdl-devel

Requires:       %{?scl_prefix}openssl
Provides:       libchil%{?_isa} = %{version}-%{release}
# The engine_chil subpackage is also provided 
Provides:       %{?scl_prefix}engine_chil%{?_isa} = %{version}-%{release}

%description -n %{?scl_prefix}openssl-chil
openssl-chil enables hardware security module (HSM), and smart card support in
OpenSSL applications.


%prep
%setup -q -n %{pkg_name}-%{commitid}

%build
autoreconf -fvi
export CFLAGS="%{optflags}"

%configure --disable-static --with-enginesdir=%{enginesdir}
make V=1 %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{enginesdir}
make install DESTDIR=%{buildroot}

# Remove libtool .la files
rm -f %{buildroot}%{_libdir}/engines/*.la
mv %{buildroot}%{_libdir}/engines/chil.so %{buildroot}%{enginesdir}/


%files
%doc README.md
%{enginesdir}/chil.so


%changelog
* Sun Nov 06 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-17
- Built by CPaaS

* Wed Sep 14 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-16
- Built by CPaaS

* Thu Aug 25 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-15
- Built by CPaaS

* Wed Aug 24 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-14
- Built by CPaaS

* Sat Jun 25 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-13
Built by CPaaS



* Sun Jun 19 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-12
Built by CPaaS



* Fri Feb 25 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-10
Built by CPaaS



* Mon Feb 21 2022 Sokratis Zappis <szappis@redhat.com> - 1.0.0-9
- Rebuild to consume latest builds of dependencies

* Wed Feb 09 2022 Mladen Turk <mturk@redhat.com> - 1.0.0-8
- Rebuild with updated dependencies

* Thu Apr 01 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-5
Built by CPaaS

* Fri Mar 26 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-4
Built by CPaaS

* Mon Dec 21 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-3
Built by CPaaS

* Wed Dec 09 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-2
Built by CPaaS

* Thu Nov 28 2019 George Zaronikas <gzaronik@redhat.com> - 1.0.0
CHIL engine for OpenSSL 1.1.1
